summaryrefslogtreecommitdiffstats
path: root/libraries/libsexy/libsexy.SlackBuild
diff options
context:
space:
mode:
author Robby Workman2010-05-13 00:31:48 +0200
committer Michiel van Wessem2010-05-13 00:31:48 +0200
commit944aa5f83d8264c21a69032d246ea8eadd178b1b (patch)
treeef17728446c7f635e7ef3923054df9ae7e2aba21 /libraries/libsexy/libsexy.SlackBuild
parent1e000478efa29a8fe3d1d8c8eb35d1865122854a (diff)
downloadslackbuilds-944aa5f83d8264c21a69032d246ea8eadd178b1b.tar.gz
libraries/libsexy: Updated for version 0.1.11
Diffstat (limited to 'libraries/libsexy/libsexy.SlackBuild')
-rw-r--r--libraries/libsexy/libsexy.SlackBuild13
1 files changed, 6 insertions, 7 deletions
diff --git a/libraries/libsexy/libsexy.SlackBuild b/libraries/libsexy/libsexy.SlackBuild
index 2772ba9813..3688f9e9b5 100644
--- a/libraries/libsexy/libsexy.SlackBuild
+++ b/libraries/libsexy/libsexy.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for libsexy
-# Copyright 2008 Robby Workman - http://rlworkman.net
+# Copyright 2008-2009 Robby Workman - http://rlworkman.net
# All rights reserved.
# Redistribution and use of this script, with or without modification, is
@@ -65,15 +65,14 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--docdir=/usr/doc/$PRGNAM-$VERSION \
- --disable-static
+ --disable-static \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README \
@@ -86,4 +85,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}